VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes
vmware::appliance::techpreview::localaccounts::UserTypes::UserRole Class Reference

`User.UserRole` enumerated type Defines user roles for appliance More...

List of all members.

## Public Types
enum | Values { _UNKNOWN, admin, operator_, superAdmin }
| C# enum whose values can be used in switch statements. More...
## Public Member Functions
bool | IsUnknown ()
Values | GetEnumValue ()
## Static Public Member Functions
static UserRole[] | GetValues ()
static UserRole | ValueOf (string name)
## Static Public Attributes
static readonly UserRole | admin = new UserRole("admin", Values.admin)
| Able to configure the appliance.
static readonly UserRole | operator_ = new UserRole("operator_", Values.operator_)
| Able to read the appliance configuration.
static readonly UserRole | superAdmin = new UserRole("superAdmin", Values.superAdmin)
| Able to configure the appliance, manage local accounts and use the BASH shell.

## Detailed Description

`User.UserRole` enumerated type Defines user roles for appliance

## Member Enumeration Documentation

enum vmware::appliance::techpreview::localaccounts::UserTypes::UserRole::Values

C# enum whose values can be used in switch statements.

Ordinals have no semantic meaning (your code should not rely on them).

Enumerator:

  _UNKNOWN | Special enumeration constant which is used to represent constants that do not exist in the current enum binding. For example if a client sends a new constant to an older server, the server code will see this special constant, because its enum binding lacks the new constant.
  admin | Able to configure the appliance.
  operator_ | Able to read the appliance configuration.
  superAdmin | Able to configure the appliance, manage local accounts and use the BASH shell.

## Member Function Documentation

Values vmware::appliance::techpreview::localaccounts::UserTypes::UserRole::GetEnumValue | ( |  | ) | `[inline]`

static UserRole [] vmware::appliance::techpreview::localaccounts::UserTypes::UserRole::GetValues | ( |  | ) | `[inline, static]`

bool vmware::appliance::techpreview::localaccounts::UserTypes::UserRole::IsUnknown | ( |  | ) | `[inline]`

static UserRole vmware::appliance::techpreview::localaccounts::UserTypes::UserRole::ValueOf | ( | string | name | ) | `[inline, static]`

## Member Data Documentation

readonly UserRole vmware::appliance::techpreview::localaccounts::UserTypes::UserRole::admin = new UserRole("admin", Values.admin)`[static]`

Able to configure the appliance.

readonly UserRole vmware::appliance::techpreview::localaccounts::UserTypes::UserRole::operator_ = new UserRole("operator_", Values.operator_)`[static]`

Able to read the appliance configuration.

readonly UserRole vmware::appliance::techpreview::localaccounts::UserTypes::UserRole::superAdmin = new UserRole("superAdmin", Values.superAdmin)`[static]`

Able to configure the appliance, manage local accounts and use the BASH shell.

The documentation for this class was generated from the following file:

- UserTypes.cs